### Function

# EDataCal CalQueueTuple new

#### Declaration [src]

    ECalQueueTuple*
    e_cal_queue_tuple_new (
      GDestroyNotify first_free_func,
      GDestroyNotify second_free_func,
      GDestroyNotify third_free_func
    )

#### Description [src]

Creates a new `ECalQueueTuple`, with three `GQueue`-s, each using one of the free functions.

This is a private function, not available as a public API.

This function is not directly available to language bindings.

#### Parameters

`first_free_func`

  Type: `GDestroyNotify`

  The 1st `GDestroyNotify`.

`second_free_func`

  Type: `GDestroyNotify`

  The 2nd `GDestroyNotify`.

`third_free_func`

  Type: `GDestroyNotify`

  The 3rd `GDestroyNotify`.

#### Return value

Type: `ECalQueueTuple`

A new `ECalQueueTuple`.

The caller of the function takes ownership of the data, and is responsible for freeing it.